Threads
Concurrency
Collaboration diagram for Threads:

## Namespaces

namespace | std::this_thread

## Classes

struct | std::hash< thread::id >
class | std::thread

## Functions

bool | std::operator!= (thread::id __x, thread::id __y) noexcept
bool | std::operator< (thread::id __x, thread::id __y) noexcept
template<class _CharT , class _Traits >
basic_ostream< _CharT, _Traits > & | std::operator<< (basic_ostream< _CharT, _Traits > &__out, thread::id __id)
bool | std::operator<= (thread::id __x, thread::id __y) noexcept
bool | std::operator== (thread::id __x, thread::id __y) noexcept
bool | std::operator> (thread::id __x, thread::id __y) noexcept
bool | std::operator>= (thread::id __x, thread::id __y) noexcept
void | std::swap (thread &__x, thread &__y) noexcept

## Detailed Description

Classes for thread support.

## Function Documentation

## operator!=()

bool std::operator!= | ( | thread::id | __x,
|  | thread::id | __y
| ) |  |

inline noexcept

Definition at line 286 of file thread.

## operator<()

bool std::operator< | ( | thread::id | __x,
|  | thread::id | __y
| ) |  |

inline noexcept

Definition at line 289 of file thread.

## operator<<()

template<class _CharT , class _Traits >

basic_ostream< _CharT, _Traits > & std::operator<< | ( | basic_ostream< _CharT, _Traits > & | __out,
|  | thread::id | __id
| ) |  |

inline

Definition at line 306 of file thread.

## operator<=()

bool std::operator<= | ( | thread::id | __x,
|  | thread::id | __y
| ) |  |

inline noexcept

Definition at line 297 of file thread.

## operator==()

bool std::operator== | ( | thread::id | __x,
|  | thread::id | __y
| ) |  |

inline noexcept

Definition at line 276 of file thread.

## operator>()

bool std::operator> | ( | thread::id | __x,
|  | thread::id | __y
| ) |  |

inline noexcept

Definition at line 302 of file thread.

## operator>=()

bool std::operator>= | ( | thread::id | __x,
|  | thread::id | __y
| ) |  |

inline noexcept

Definition at line 306 of file thread.

## swap()

void std::swap | ( | thread & | __x,
|  | thread & | __y
| ) |  |

inline noexcept

Definition at line 272 of file thread.